<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/supply_chain_bg_color"
    android:orientation="vertical">

    <include layout="@layout/supply_chain_top_bar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp_25"
        android:paddingTop="@dimen/dp_15"
        android:paddingRight="@dimen/dp_25"
        android:paddingBottom="@dimen/dp_15"
        android:visibility="gone">

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_order_content_order_template"
            style="@style/Save_Btn_Style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/shape_orange_btn_small_radius"
            android:text="訂單模板"
            android:visibility="visible" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_order_content_add_food"
            style="@style/Save_Btn_Style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_25"
            android:layout_weight="1"
            android:text="+新增食材"
            android:visibility="visible" />

    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_order_content"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_weight="1"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical"
        android:paddingLeft="@dimen/dp_25"
        android:paddingTop="@dimen/dp_10"
        android:paddingRight="@dimen/dp_25"
        android:paddingBottom="@dimen/dp_4">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <CheckBox
                android:id="@+id/cb_order_content_all_select"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:button="@drawable/selector_checkbox"
                android:text="全選"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_14" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_25"
                android:text="食材種類："
                android:textColor="@color/color_222"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_order_content_food_type_total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/required_color"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold"
                tools:text="3" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_25"
                android:layout_weight="1"
                android:gravity="right"
                android:text="總計："
                android:textColor="@color/color_222"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_order_content_total_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/required_color"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold"
                tools:text="$330" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_18"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="備註："
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_16"
                android:visibility="gone" />

            <EditText
                android:id="@+id/ed_order_content_remark"
                style="@style/Multi_Input_editStyle"
                android:layout_width="0dp"

                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="left"
                android:hint="輸入備註"
                android:paddingLeft="@dimen/dp_5"
                android:visibility="gone" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/tv_order_content_complete"
                style="@style/app_btn_style"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_weight="1"
                android:gravity="center"
                android:paddingLeft="@dimen/dp_35"
                android:paddingTop="@dimen/dp_10"
                android:paddingRight="@dimen/dp_35"
                android:paddingBottom="@dimen/dp_10"
                android:text="確定" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/tv_order_content_cancel"
                style="@style/Cancel_Btn_Style"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_weight="1"
                android:gravity="center"
                android:paddingLeft="@dimen/dp_35"
                android:paddingTop="@dimen/dp_10"
                android:paddingRight="@dimen/dp_35"
                android:paddingBottom="@dimen/dp_10"
                android:text="取消" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>